ubuntu/+source/fltk1.1:ubuntu/oneiric

Last commit made on 2011-07-17
Get this branch:
git clone -b ubuntu/oneiric https://git.launchpad.net/ubuntu/+source/fltk1.1
Members of Ubuntu Server Dev import team can upload to this branch. Log in for directions.

Branch merges

Branch information

Name:
ubuntu/oneiric
Repository:
lp:ubuntu/+source/fltk1.1

Recent commits

9279c2f... by Aaron M. Ucko on 2011-07-17

Import patches-unapplied version 1.1.10-7 to debian/sid

Imported using git-ubuntu import.

Changelog parent: 8a292fa8e8f7517853c5e4fabbdad67b362913d5

New changelog entries:
  * debian/control:
    - Make libfltk1.1-dbg Multi-Arch: same, as it will only cover libraries;
      eliminate a stray newline in its description.
    - Drop fluid, which the fltk1.3 source package is taking over.
  * debian/fluid.*: Remove accordingly.
  * debian/rules:
    - Stop installing any fluid-related files.
    - Don't bother keeping debugging symbols for games.

8a292fa... by Aaron M. Ucko on 2011-06-20

Import patches-unapplied version 1.1.10-6 to debian/sid

Imported using git-ubuntu import.

Changelog parent: a1bca82624680c2f0123c6c82494a266a1d8c635

New changelog entries:
  * debian/control:
    - Revert overzealous Multi-Arch: same setting for libfltk1.1-dbg, which
      also ships debugging symbols for executables in non-multiarch paths.
    - Prepare for the libjpeg 8 transition by build-depending on, and
      having libfltk1.1-dev suggest, the virtual libjpeg-dev package.
  * debian/changelog: Correct Danish translator's name in previous entry.

a1bca82... by Aaron M. Ucko on 2011-06-14

Import patches-unapplied version 1.1.10-5 to debian/sid

Imported using git-ubuntu import.

Changelog parent: 40fd86b62b739b919c0071ce3d556b58b1bf55b8

New changelog entries:
  * Build for multiarch, both on principle and per historical interest
    (as demonstrated by ia32-libs bug #441406):
    - debian/compat: Advance to 9.
    - debian/control: Advance build dependency on debhelper to (>= 8.1.3).
      Add Multi-Arch: same and Pre-Depends: ${misc:Pre-Depends} for libfltk1.1,
      Multi-Arch: same for libfltk1.1-dbg, and Multi-Arch: foreign for fluid.
    - debian/libfltk1.1(-dev).install: Match multi-arch paths.
    - debian/rules: Pass a multi-arch libdir to configure, and substitute it
      in FLTKConfig.cmake (which however remains in /usr/lib/fltk for now).
    - debian/FLTKConfig.cmake: Rename to FLTKConfig.cmake.in and
      un-hardcode the library directory.
  * debian/po/da.po: Add, thanks to Joe Hansen. (Closes: #621359.)
  * debian/fltk1.1.symbols: Add symbols introduced by GCC 4.5 or 4.6, but
    mark them as optional for the sake of architectures (ia64, sparc)
    that still default to 4.4.
  * debian/control: Standards-Version: 3.9.2. (No changes needed.)

40fd86b... by Aaron M. Ucko on 2011-01-21

Import patches-unapplied version 1.1.10-4 to debian/sid

Imported using git-ubuntu import.

Changelog parent: 848eee32579070a4baa4e2c9717b8d3f0005ecc3

New changelog entries:
  * src/Fl_x.cxx: fix cut/copy/paste operations on 64-bit architectures
    per http://www.fltk.org/str.php?L2419, thanks to Valerio's report.

848eee3... by Aaron M. Ucko on 2011-01-09

Import patches-unapplied version 1.1.10-3 to debian/sid

Imported using git-ubuntu import.

Changelog parent: 5d11db213bc0d2825c8d54e00fa3e337a8f5ac6e

New changelog entries:
  * debian/libfltk1.1.symbols: tag one symbol emitted *only* by GCC 4.3.x
    and 4.4.x (but not 4.5.x or up) as optional. (Closes: #609245.)
  * debian/compat: advance to 8, as it is safe to do so.
  * debian/control:
    - Advance debhelper requirement to (>= 8) per the above.
    - Advance dpkg-dev requirement to (>= 1.15.7) for dpkg-buildflags.
    - Generally clean up relationships; don't worry about anything pre-etch,
      and wildcard the build-dep on libasound2-dev to [linux-any].
    - Set Vcs-* fields to point to (new) personal git.d.o repository.
    - Declare compatibility with Policy version 3.9.1.
  * debian/rules:
    - Obtain baseline {C,CXX,LD}FLAGS from dpkg-buildflags rather than
      relying on them to be in the environment courtesy of dpkg-buildpackage.
    - Stop passing -D_REENTRANT, which is not only obsolete but redundant.
  * debian/source/{format,options,patch-header}: advance to 3.0 (quilt),
    albeit in single-debian-patch mode per VCS use, for .orig.tar.bz2 support.
  * fluid/fluid.desktop: replace the Exec command (which used cd) with a Perl
    one-liner for compatibility with more desktop environments. (LP: #569518.)
  * debian/fluid.lintian-overrides: adjust accordingly.
  * fltk-config.in: strip -[gO]* from --c(xx)flags output. (LP: #606032.)
  * (debian/).gitignore: Direct git to ignore content generated during build.

5d11db2... by Aaron M. Ucko on 2010-01-07

Import patches-unapplied version 1.1.10-2 to debian/sid

Imported using git-ubuntu import.

Changelog parent: 94c15889c66f8f2e0120767b51eb6a6f9e81d66b

New changelog entries:
  * src/Makefile: link libfltk.so.1.1 against -lpthread, as fluid now
    otherwise fails to link on the Hurd (with complaints that libfltk.so.1
    contains undefined references to pthread_mutexattr_*).
  * debian/source.lintian-overrides: retire per Lintian 2.3.1. (See #553264.)
  * New upstream release.
  * {fluid,test}/Makefile: link against all directly referenced libraries,
    even if they are also indirect dependencies, to fix build errors with
    binutils-gold, which defaults to --no-add-needed. (Closes: #554365.)

94c1588... by Aaron M. Ucko on 2009-11-03

Import patches-unapplied version 1.1.10~rc3-1 to debian/sid

Imported using git-ubuntu import.

Changelog parent: 28cb728efa1e7e201549782dc9f0895dc9702a82

New changelog entries:
  * New upstream release candidate.

28cb728... by Aaron M. Ucko on 2009-10-30

Import patches-unapplied version 1.1.10~rc2-3 to debian/sid

Imported using git-ubuntu import.

Changelog parent: 4e252a45bf002e97cd5654c200566b86e77b2bf1

New changelog entries:
  * debian/FLTKConfig.cmake: belatedly advance FLTK_VERSION_PATCH to 10.
  * debian/{fluid,source}.lintian-overrides: override spurious Lintian
    diagnostics; fluid.desktop's command is legitimate, as is the
    artificial debian/CMakeCache.txt discussed in #553264.

4e252a4... by Aaron M. Ucko on 2009-10-23

Import patches-unapplied version 1.1.10~rc2-2 to debian/sid

Imported using git-ubuntu import.

Changelog parent: 65adc35727b590f830ef4cb25ae3d5047d7b53d3

New changelog entries:
  * debian/libfltk1.1.symbols: prepare for the GCC 4.4 transition by
    tagging three symbols (for inline methods) emitted *only* by GCC 4.3.x
    as optional. (Closes: #551612; LP: #455418.)

65adc35... by Aaron M. Ucko on 2009-10-06

Import patches-unapplied version 1.1.10~rc2-1 to debian/sid

Imported using git-ubuntu import.

Changelog parent: 62cd93bcfe6ec7ac13047d3945de78d5b0b7d8da

New changelog entries:
  * New upstream release candidate.
  * debian/copyright: extend date range through 2009.
  * fluid/*: revert i18n patch (#333401); although I still support the
    general idea, it proved problematic in practice. (Translated strings
    weren't always properly isolated to the GUI, and the only translation
    wasn't actively maintained anyway.)
  * debian/fluid.install: update accordingly. (No more fluid.mo.)
  * Update Spanish Debconf translation, thanks to Franciso Javier Cuadrado.
    (Closes: #513692.) Apologies for the delay; the submission was slightly
    late for lenny, and as such no longer merited an upload on its own.
  * debian/control:
    - List ${misc:Depends} in Depends across the board, as future Debhelper
      versions could conceivably generate content for it.
    - Clean up Section fields: libfltk1.1 is already implicitly in libs, and
      libfltk1.1-dbg is in the newfangled debug section nowadays. ;-)
    - Advance Standards-Version to 3.8.3. (No further changes required.)
    - Require debhelper (>= 7.0.50) for further rules simplification.
  * debian/rules:
    - On alpha, lock in a version of 1.1.10~rc2 for symbols introduced when
      building with GCC 4.3, which is now the default on that platform too.
    - Simplify further per debhelper 7.0.50+'s override_dh_* support.